Bug 12894 - Agent does not support UserParameter
: Agent does not support UserParameter
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/zabbix-agent)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-25 01:58 by
Modified: 2008-11-05 14:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-25 01:58:28
Опция UserParameter не работает ни при каких условиях. Как минимум,
пользователю
zabbix нужно будет назначить домашний каталог и шелл.
------- Comment #1 From 2007-09-25 12:53:02 -------
Не подтверждается,
[root@foobar etc]# grep ^UserParameter /etc/zabbix/zabbix_agentd.conf
UserParameter=imysql.questions,/usr/local/bin/get_mysql_info Questions
UserParameter=imysql.open_files,/usr/local/bin/get_mysql_info Open_files
UserParameter=imysql.connections,/usr/local/bin/get_mysql_info Connections
UserParameter=imysql.open_tables,/usr/local/bin/get_mysql_info Open_tables
[root@foobar etc]# grep ^zabbix /etc/passwd
zabbix:x:109:37:Zabbix:/dev/null:/dev/null
[root@bfoobar etc]# rpm -q zabbix-agent
zabbix-agent-1.1.5-alt1.M22.IMMO.1
------- Comment #2 From 2007-09-25 20:58:25 -------
Получается это сломали в последней версии?
У меня 1.4.2 стоит.
------- Comment #3 From 2007-09-27 09:03:22 -------
Сам агент работает, проблема в чём-то другом.

# grep ^UserPar /etc/zabbix/zabbix_agentd.conf
UserParameter=system.test,who|wc -l

# zabbix_get -s 87.229.xxx.xx -k system.test
1
------- Comment #4 From 2007-09-27 09:26:34 -------
Гммм, заработало само по себе после пересоздания item-а.
------- Comment #5 From 2007-12-04 16:20:52 -------
Проявляется, но не везде. Причину пока не нашёл.
------- Comment #6 From 2008-11-05 14:11:46 -------
Будем считать что fixed.